package com.brilliance.isc.common.rmbbop.model;

import com.brilliance.isc.common.rmbbop.common.IRecgrp;
import com.brilliance.isc.common.rmbbop.entity.Tdm;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class Tdmgrp extends AbstractCommonVo implements IRecgrp {
    private Tdm ads;

    @Override
    public void reset() {
        super.reset();
        if (ads == null) {
            ads = new Tdm();
        }
        ads.reset();
    }
}
